## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEUniqueConstraint

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReferenceConstraint, SQLObject, TableConstraint, UniqueConstraint

All Known Implementing Classes:
  SybaseASECatalogUniqueConstraint, SybaseASEUniqueConstraintImpl

    public interface SybaseASEUniqueConstraint

extends UniqueConstraint

A representation of the model object 'Sybase ASE Unique Constraint'.

The following features are supported:

- `System Gened Index`
- `System Gened Name`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEUniqueConstraint()`

Method Summary
`SybaseASEIndex` `getSystemGenedIndex()` Returns the value of the 'System Gened Index' containment reference.
`boolean` `isSystemGenedName()` Returns the value of the 'System Gened Name' attribute.
`void` `setSystemGenedIndex(SybaseASEIndex value)` Sets the value of the '`System Gened Index`' containment reference.
`void` `setSystemGenedName(boolean value)` Sets the value of the '`System Gened Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.UniqueConstraint
`getForeignKey`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSystemGenedIndex

    SybaseASEIndex getSystemGenedIndex()

  Returns the value of the 'System Gened Index' containment reference. SybaseASEUniqueConstraint wrap SybaseASEIndex as reference to provide isClustered, segment, marrowsize, members and other index related info.

  Returns:
    the value of the 'System Gened Index' containment reference.
  See Also:
    `setSystemGenedIndex(SybaseASEIndex)`, `SybaseasesqlmodelPackage.getSybaseASEUniqueConstraint_SystemGenedIndex()`

### setSystemGenedIndex

    void setSystemGenedIndex(SybaseASEIndex value)

  Sets the value of the '`System Gened Index`' containment reference.

  Parameters:
    `value` - the new value of the 'System Gened Index' containment reference.
  See Also:
    `getSystemGenedIndex()`

### isSystemGenedName

    boolean isSystemGenedName()

  Returns the value of the 'System Gened Name' attribute.

  If the meaning of the 'System Gened Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Gened Name' attribute.
  See Also:
    `setSystemGenedName(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUniqueConstraint_SystemGenedName()`

### setSystemGenedName

    void setSystemGenedName(boolean value)

  Sets the value of the '`System Gened Name`' attribute.

  Parameters:
    `value` - the new value of the 'System Gened Name' attribute.
  See Also:
    `isSystemGenedName()`